
Name:		atunes
Version:	3.0.9
Release:	%mkrel 1
Summary:	A full-featured audio player and manager
Summary(fr_FR):	Un lecteur et gestionnaire audio complet
Group:		Sound
License:	GPLv2
URL:		http://www.atunes.org/
Source:		%{name}-%{version}-bin.tar.gz

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	java-rpmbuild
BuildRequires:	jpackage-utils
BuildRequires:	ant
BuildRequires:	unzip
BuildRequires:	jcommon jfreechart jna htmlparser

Requires:	java-1.7.0-openjdk  
Requires:	mplayer 
Requires:	vorbis-tools 
Requires:	flac 
Requires:	cdrkit-icedax 
Requires:	xine-plugins

Obsoletes:	atunes < %{version}


%description
aTunes is a full-featured audio player and manager, developed in 
Java programming language, so it can be executed on different
platforms: Windows, Linux and Unix-like systems, ...
Currently plays MP3, Ogg, WMA, WAV, FLAC, MP4 and radio streaming,
allowing users to easily edit tags, organize music and rip Audio CDs.

%description -l fr_FR
aTunes est un lecteur et gestionnaire audio complet, développé en
langage de programmation Java, il peut donc être exécuté sur 
différentes plates-formes: Windows, Linux et les systèmes Unix, ...
Joue actuellement MP3, Ogg, WMA, WAV, FLAC, MP4 et la radio streaming,
permettant aux utilisateurs de modifier facilement les étiquettes, 
organiser la musique et ripper les CD audio.

%prep
%setup -q -n %{name}-%{version}

%build

%install
rm -rf %{buildroot}
rm -rf win_tools
rm -f aTunes.exe


install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_datadir}/%{name}
install -d %{buildroot}%{_datadir}/%{name}/ico
install -d %{buildroot}%{_datadir}/pixmaps

cp -r ./* %{buildroot}%{_datadir}/%{name}/
cp -f atunes.png %{buildroot}%{_datadir}/pixmaps/


#xdg menu
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=aTunes
Comment=Full featured audio player and manager
Comment[fr]=Un lecteur et gestionnaire audio complet
GenericName=Audio player
GenericName[fr]=Lecteur audio
Exec=atunes
Icon=atunes.png
Terminal=false
Type=Application
StartupNotify=true
MimeType=audio/x-mp3;audio/x-ogg;application/x-ogg;audio/x-mpegurl;audio/x-wav;audio/x-scpls;audio/mpegurl;audio/mp3;audio/mpeg;audio/x-mpeg;application/x-flac;audio/x-flac;
Categories=Audio;Player;X-Mageia-Multimedia-Sound;AudioVideo;Java;X-Mageia-CrossDesktop;
EOF


#make Excutable
cat > $RPM_BUILD_ROOT%{_bindir}/atunes << EOF
#!/bin/sh
cd /usr/share/atunes/
sh ./aTunes.sh "$@"
EOF

chmod 0755 $RPM_BUILD_ROOT%{_bindir}/atunes

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc changelog.txt license.txt 
%{_bindir}/atunes
%{_datadir}/pixmaps/atunes.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/*

%changelog

* Fri May 03 2013 david.david (MLO Team) <david.david> 3.0.9-1.mga2
+ new version: 3.0.9
- add french language in %%description and %%Summary
- correcting "spec" file

  - FIX: Combo box selection fails with OS X and System Look And Feel
  - FIX: Save playlist sets its name as file name by default

* Sun Apr 21 2013 david.david (MLO Team) <david.david> 3.0.8-2.mga2
+ Revision: 2
- fix icon path 

* Fri Apr 12 2013 david.david (MLO Team) <david.david> 3.0.8-1.mga2
+ new version: 3.0.8

  - FIX: Control visible context panels
  - FIX: Improvements in process to delete files
  - FIX: Workaround for mplayer problem with long filenames or including non-english chars
  - Added support for OS X full screen
  
* Sun Apr 07 2013 david.david (MLO Team) <david.david> 3.0.7-1.mga2
+ new version: 3.0.7
 
 - Reduce memory consumption by interning strings read using Kryo
 - All navigator views allow filtering subelements
 - FIX: Disable option to create play list with top tracks when no data available
 - FIX: Generate M3U files with system file separator
 - FIX: Podcast information dialog broken

* Sun Mar 24 2013 david.david (MLO Team) <david.david> 3.0.6-4.mga2
+ Requires java-1.7.0-openjdk
- new version: 3.0.6

 - Updated mplayer binary for Windows
 - Support for playing FLV files (audio only)
 - Improvements in table sort
 - Added basque translation (thanks to Xabier Aramendi)
 - FIX: Window size ignored if window is maximized
 - FIX: Folder filter does not work with child folders
 - FIX: Hide progress slider when fading away
 - FIX: Validate date of tags and discard invalid ones
 
* Mon Feb 25 2013 david.david (MLO Team) <david.david> 3.0.5-1.mga2
+ Package signature
- new version: 3.0.5
 
 - Folder view allows filtering subfolders
 - FIX: Statistics not shown in tables
 - FIX: Avoid cast errors when reading preferences with kryo fails
 - FIX: Error retrieving titles from CD when CD has more tracks than the album information
 - FIX: Drag and drop from navigator
 - FIX: Navigator not immediately updated after import
 - FIX: Store repository folders as list of paths instead of file objects
 - Control+F for advanced search
 
* Mon Jun 25 2012 david.david <david.david> 2.1.0-1.mga2
+ Rebuild package for mga2
- new version: 2.1.0
 
 - requires xine-plugins (Arch.x86_64 or Arch.i586) 
 - requires java-1.6.0-openjdk (java-1.6.0-sun is not available in mga2)